Opened 11 years ago

Last modified 11 years ago

#876 closed defect (Fixed)

vidalia installer 0.1.10 says it's older than an existing 0.1.9 install

Reported by: heywood Owned by: phobos
Priority: Low Milestone:
Component: Applications/Tor bundles/installation Version: 0.2.1.7-alpha
Severity: Keywords:
Cc: heywood, coderman, arma, phobos Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

Running OS X (10.4.11) on a MacBook Pro. Have vidalia-bundle-0.2.1.6-alpha-0.1.9 installed, works fine.

Grabbed the most recent installer (vidalia-bundle-0.2.1.7-alpha-0.1.10-universal) from tor.eff.org and tried it.

Installer says "The chosen volume contains software which is newer then [sic] the software you are installing."

Something seems wrong with the version checker...

[Automatically added by flyspray2trac: Operating System: OSX 10.4 Tiger]

Child Tickets

Change History (7)

comment:1 Changed 11 years ago by heywood

p.s. Forgot to mention that the bundle I downloaded verifies correctly with Andrew Lewman's GPG key.

comment:2 Changed 11 years ago by coderman

is it possible there is a newline or other non-obvious character appended to the new version information?

someone mentioned this also affecting win32 but i don't see a ticket for it...

comment:3 Changed 11 years ago by phobos

I can confirm this occurs on OS X 10.5. It appears to be an apple installer problem. I'm debugging further.

comment:4 Changed 11 years ago by nickm

This sounds like the kind of thing that would happen if version comparison were lexical rather than numeric.

comment:5 Changed 11 years ago by arma

Original poster asked us to re-open the task. What's up?

comment:6 Changed 10 years ago by arma

Ok, closing again. Re-open again if there's anything important.

comment:7 Changed 10 years ago by arma

flyspray2trac: bug closed.

Note: See TracTickets for help on using tickets.